Get A Trade Order Information¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| order_no Required | String | Order ID |
| biz_serial_number Required | String | Business flow ID (Retrieve it from the flow list, prioritizing the order ID.) |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Trade order details (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| bid | String | Business line ID |
| order_no | String | Order ID |
| base_coin | String | Base currency |
| quote_coin | String | Quote currency |
| base_amount | Integer | Base amount |
| quote_amount | Integer | Quote amount |
| price | Integer | Price |
| filled_price | Integer | Transaction price |
| filled_qty | Integer | Transaction base amount |
| filled_amount | Integer | Transaction quote amount |
| status | String | Trade order status Allowed values: PROCESSING (processing), PENDING (pending settlement), COMPLETE (complete), CANCELING (cancel), CANCEL_PART (partial success) |
| trade_type | String | Trade order type Allowed values: LIMIT (limit order), TOKEN (market order) |
| side | String | Trade order directions Allowed values: BUY, SELL |
| reason | String | Reason for failure |
| create_time | Long | Create time |
| complete_time | Long | Complete time |
Response Example¶
{
"code": 0,
"data": {
"bid": "string",
"order_no": "string",
"base_coin": "string",
"quote_coin": "string",
"base_amount": 0,
"quote_amount": 0,
"price": 0,
"filled_price": 0,
"filled_qty": 0,
"filled_amount": 0,
"status": "string",
"trade_type": "string",
"side": "string",
"reason": "string",
"complete_time": 1663686589524,
"create_time": 1663657787000
},
"message": "string",
"successful": true
}